Bug 81097 - SYS_SUSPEND fails on AC power; works on DC
SYS_SUSPEND fails on AC power; works on DC
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-01-04 10:10 EST by Mark Lord
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Lord 2003-01-04 10:10:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Suspend via BIOS hotkeys on laptops fails to suspend the machine when running on
AC power.  Works fine on DC, but blanks the screen briefly, beeps, and resumes
immediately on AC.

I see this on an IBM TP A21p laptop, but a quick search on Google shows that
this problem is WIDELY reported on a large variety of laptops, including Sonys,
Dells, IBMs, and others.  It is apparently NOT brand specific in nature.

Worked fine under RedHat-7.2, but does not work under Redhat-8.0.

User-suspend ("apm --suspend") works okay regardless.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Under AC power, press the laptop's "Suspend" key combination.
2. Observe that it fails to suspend.
3. Try again under DC power, observe that it works this way.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.